Substy Developers
Media and vault

Set creator vault confirmation fan

Set the fan ID used for the creator's OnlyFans vault-upload confirmation. Upload completion may send the standard confirmation to this fan.

PUT/v1/agencies/{agencyId}/creators/{creatorId}/vault-confirmation-fan

Set the fan ID used for the creator's OnlyFans vault-upload confirmation. Upload completion may send the standard confirmation to this fan.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

agencyId*string
Length1 <= length
creatorId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/agencies/string/creators/string/vault-confirmation-fan" \  -H "Authorization: Bearer YOUR_API_KEY" \  -H "Content-Type: application/json" \  -d '{    "vaultUploadFanId": "string"  }'
{  "data": {    "vaultUploadFanId": null  },  "meta": {    "requestId": "string",    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "status": "COMPLETED"  }}